#### D.15.2.30 moduliMonomials

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  moduliMonomials(N); N NormalForm

Return:
  the list of the moduli monomials of the normal form N.normalForm

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    Poly F = makePoly(f);
    NormalForm N = determineNormalForm(F);
    moduliMonomials(N);
    ==> [1]:
    ==>    x^4*y^4
    ==>
    ==> [2]:
    ==>    x^4*y^3
    ==>
    ==> [3]:
    ==>    x^3*y^4
    ==>
    ==> [4]:
    ==>    x^4*y^2
    ==>
    ==> [5]:
    ==>    x^3*y^3
    ==>
    ==> [6]:
    ==>    x^2*y^4
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.